GDB (xrefs)

Public Attributes | List of all members
readahead_cache Struct Reference

## Public Attributes
int | fd
ULONGEST | offset
gdb_byte * | buf
size_t | bufsize
ULONGEST | hit_count
ULONGEST | miss_count

## Detailed Description

Definition at line 288 of file remote.c.

## Member Data Documentation

## ◆ buf

gdb_byte* readahead_cache::buf

Definition at line 299 of file remote.c.

Referenced by remote_hostio_pread(), and remote_hostio_pread_from_cache().

## ◆ bufsize

size_t readahead_cache::bufsize

Definition at line 302 of file remote.c.

Referenced by remote_hostio_pread(), and remote_hostio_pread_from_cache().

## ◆ fd

int readahead_cache::fd

Definition at line 292 of file remote.c.

Referenced by readahead_cache_invalidate(), readahead_cache_invalidate_fd(), remote_hostio_pread(), and remote_hostio_pread_from_cache().

## ◆ hit_count

ULONGEST readahead_cache::hit_count

Definition at line 305 of file remote.c.

Referenced by remote_hostio_pread().

## ◆ miss_count

ULONGEST readahead_cache::miss_count

Definition at line 306 of file remote.c.

Referenced by remote_hostio_pread().

## ◆ offset

ULONGEST readahead_cache::offset

Definition at line 296 of file remote.c.

Referenced by remote_hostio_pread(), and remote_hostio_pread_from_cache().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/remote.c